/*******************************************************************************
 * Copyright (c) 2006, 2012 Oracle and/or its affiliates. All rights reserved.
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0
 * which accompanies this distribution.
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *     Oracle - initial API and implementation
 *
 ******************************************************************************/
package org.eclipse.persistence.tools.mapping.orm;

import org.eclipse.persistence.annotations.MultitenantType;

/**
 * This interface and inherited behavior describes the configurable properties for an multitenant.
 * Multitenancy can be declared on Entites, MappedSuperclasse, and on the ORMConfiguration.
 * <p>
 * Provisional API: This interface is part of an interim API that is still under development and
 * expected to change significantly before reaching stability. It is available at this early stage
 * to solicit feedback from pioneering adopters on the understanding that any code that uses this
 * API will almost certainly be broken (repeatedly) as the API evolves.<p>
 *
 * @see org.eclipse.persistence.annotations.Multitenant
 *
 * @version 2.5
 * @author Les Davis
 */
public interface ExternalMultitenancyPolicy extends ExternalTenantDiscriminatorColumnProvider {

	/**
	 * Returns the multitenant type.
	 */
	MultitenantType getMultitenantType();

	/**
	 * Sets the multitenant type.
	 */
	void setMultitenantType(MultitenantType type);
}